--- old/usr/src/lib/libm/Makefile.com	2014-10-27 12:36:38.113581052 -0400
+++ new/usr/src/lib/libm/Makefile.com	2014-10-27 12:36:38.142952278 -0400
@@ -511,8 +511,6 @@
 LINTFLAGS64	+= $(LINTERROFF)
 LINTFLAGS64	+= -errchk=longptr64
 
-CPPFLAGS	+= -DLIBM_BUILD
-
 CFLAGS 		+= $(C_BIGPICFLAGS)
 CFLAGS64	+= $(C_BIGPICFLAGS)
 
--- old/usr/src/lib/libm/Makefile.libm.com	2014-10-27 12:36:38.695841092 -0400
+++ new/usr/src/lib/libm/Makefile.libm.com	2014-10-27 12:36:38.707483078 -0400
@@ -31,7 +31,7 @@
 # compatibility.
 C99MODE		=
 
-M4FLAGS		= -D__STDC__ -DELFOBJ -DPIC
+M4FLAGS		= -D__STDC__ -DPIC
 
 LDBLDIR_sparc	= Q
 LDBLDIR_i386	= LD
@@ -39,13 +39,11 @@
 
 LM_IL		= $(LIBMDIR)/$(TARGET_ARCH)/src/locallibm.il
 
-CFLAGS		+= $(C_PICFLAGS) -D__INLINE $(XSTRCONST) $(LM_IL)
-CFLAGS64	+= $(C_PICFLAGS) -D__INLINE $(XSTRCONST) $(LM_IL)
+CFLAGS		+= $(C_PICFLAGS) $(XSTRCONST) $(LM_IL)
+CFLAGS64	+= $(C_PICFLAGS) $(XSTRCONST) $(LM_IL)
 sparc_CFLAGS	+= -Wa,-xarch=v8plus
 
-CPPFLAGS	+= -DELFOBJ \
-		-DLIBM_MT_FEX_SYNC \
-		-I$(LIBMSRC)/C \
+CPPFLAGS	+= -I$(LIBMSRC)/C \
 		-I$(LIBMSRC)/$(LDBLDIR) -I$(LIBMDIR)/$(TARGET_ARCH)/src
 
 # GCC needs __C99FEATURES__ such that the implementations of isunordered,
--- old/usr/src/lib/libm/common/C/copysign.c	2014-10-27 12:36:39.089792153 -0400
+++ new/usr/src/lib/libm/common/C/copysign.c	2014-10-27 12:36:39.101154374 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak copysign = __copysign
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/hypot.c	2014-10-27 12:36:39.483797831 -0400
+++ new/usr/src/lib/libm/common/C/hypot.c	2014-10-27 12:36:39.495354346 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak hypot = __hypot
-#endif
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/ilogb.c	2014-10-27 12:36:39.880109131 -0400
+++ new/usr/src/lib/libm/common/C/ilogb.c	2014-10-27 12:36:39.891749858 -0400
@@ -27,14 +27,12 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak ilogb = __ilogb
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -57,7 +55,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static int
 raise_invalid(int v) {	/* SUSv3 requires ilogb(0,+/-Inf,NaN) raise invalid */
@@ -80,7 +78,7 @@
 		if ((px[LOWORD] | k) == 0)
 			return (raise_invalid(0x80000001));
 		else {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two52;
 			return (((px[HIWORD] & 0x7ff00000) >> 20) - 1075);
 #else
--- old/usr/src/lib/libm/common/C/libm_protos.h	2014-10-27 12:36:40.286958732 -0400
+++ new/usr/src/lib/libm/common/C/libm_protos.h	2014-10-27 12:36:40.298642934 -0400
@@ -29,90 +29,15 @@
 #ifndef _C_LIBM_PROTOS_H
 #define	_C_LIBM_PROTOS_H
 
-#ifdef LIBMOPT_BUILD
-#define	_TBL_cos	__libmopt_TBL_cos
-#define	_TBL_exp2_512	__libmopt_TBL_exp2_512
-#define	_TBL_ipio2_inf	__libmopt_TBL_ipio2_inf
-#define	_TBL_jlog_n1	__libmopt_TBL_jlog_n1
-#define	_TBL_jlog_n2	__libmopt_TBL_jlog_n2
-#define	_TBL_jlog_p1	__libmopt_TBL_jlog_p1
-#define	_TBL_jlog_p2	__libmopt_TBL_jlog_p2
-#define	_TBL_log10	__libmopt_TBL_log10
-#define	_TBL_log2_14	__libmopt_TBL_log2_14
-#define	_TBL_log2_9	__libmopt_TBL_log2_9
-#define	_TBL_sin	__libmopt_TBL_sin
-#define	_TBL_sincosx	__libmopt_TBL_sincosx
-#define	_TBL_xexp	__libmopt_TBL_xexp
-#define	_TBL_xlog	__libmopt_TBL_xlog
-#define	__k_cos_	__libmopt__k_cos_
-#define	__k_sin_	__libmopt__k_sin_
-#define	__k_sincos_	__libmopt__k_sincos_
-#define	__reduction	__libmopt__reduction
-#define	__rem_pio2	__libmopt__rem_pio2
-#define	__rem_pio2m	__libmopt__rem_pio2m
-#else	/* defined(LIBMOPT_BUILD) */
-#ifdef LIBM_BUILD
-#define	_SVID_libm_err	__libm_SVID_libm_err	/* not used by -lsunmath */
-#define	_TBL_atan	__libm_TBL_atan
-#define	_TBL_atan1	__libm_TBL_atan1
-#define	_TBL_atan_hi	__libm_TBL_atan_hi	/* not used by -lsunmath */
-#define	_TBL_atan_lo	__libm_TBL_atan_lo	/* not used by -lsunmath */
-#define	_TBL_exp2_hi	__libm_TBL_exp2_hi	/* not used by -lsunmath */
-#define	_TBL_exp2_lo	__libm_TBL_exp2_lo	/* not used by -lsunmath */
-#define	_TBL_ipio2_inf	__libm_TBL_ipio2_inf
-#define	_TBL_log	__libm_TBL_log
-#define	_TBL_log2_hi	__libm_TBL_log2_hi	/* not used by -lsunmath */
-#define	_TBL_log2_lo	__libm_TBL_log2_lo	/* not used by -lsunmath */
-#define	_TBL_log_hi	__libm_TBL_log_hi	/* not used by -lsunmath */
-#define	_TBL_log_lo	__libm_TBL_log_lo	/* not used by -lsunmath */
-#define	_TBL_sincos	__libm_TBL_sincos
-#define	_TBL_sincosx	__libm_TBL_sincosx
-#define	_TBL_tan_hi	__libm_TBL_tan_hi	/* not used by -lsunmath */
-#define	_TBL_tan_lo	__libm_TBL_tan_lo	/* not used by -lsunmath */
-#define	__k_cexp	__libm__k_cexp		/* C99 libm */
-#define	__k_cexpl	__libm__k_cexpl		/* C99 libm */
-#define	__k_clog_r	__libm__k_clog_r	/* C99 libm */
-#define	__k_clog_rl	__libm__k_clog_rl	/* C99 libm */
-#define	__k_atan2	__libm__k_atan2		/* C99 libm */
-#define	__k_atan2l	__libm__k_atan2l	/* C99 libm */
-#define	__k_cos		__libm__k_cos
-#define	__k_lgamma	__libm__k_lgamma
-#define	__k_sin		__libm__k_sin
-#define	__k_sincos	__libm__k_sincos
-#define	__k_tan		__libm__k_tan
-#define	__reduction	__libm__reduction	/* i386 only */
+/*
+ * Many symbols used to be namespaced with __libm to prevent collisions.  All
+ * but these two were otherwise scoped local and directly bound, so that
+ * collision could not occur.
+ *
+ * For reasons unknown, these two are global (but private).
+ */
 #define	__rem_pio2	__libm__rem_pio2
 #define	__rem_pio2m	__libm__rem_pio2m
-#define	__k_cosf	__libm__k_cosf		/* C99 libm */
-#define	__k_cosl	__libm__k_cosl		/* C99 libm */
-#define	__k_lgammal	__libm__k_lgammal	/* C99 libm */
-#define	__k_sincosf	__libm__k_sincosf	/* C99 libm */
-#define	__k_sincosl	__libm__k_sincosl	/* C99 libm */
-#define	__k_sinf	__libm__k_sinf		/* C99 libm */
-#define	__k_sinl	__libm__k_sinl		/* C99 libm */
-#define	__k_tanf	__libm__k_tanf		/* C99 libm */
-#define	__k_tanl	__libm__k_tanl		/* C99 libm */
-#define	__poly_libmq	__libm__poly_libmq	/* C99 libm */
-#define	__rem_pio2l	__libm__rem_pio2l	/* C99 libm */
-#define	_TBL_atanl_hi	__libm_TBL_atanl_hi	/* C99 libm */
-#define	_TBL_atanl_lo	__libm_TBL_atanl_lo	/* C99 libm */
-#define	_TBL_cosl_hi	__libm_TBL_cosl_hi	/* C99 libm */
-#define	_TBL_cosl_lo	__libm_TBL_cosl_lo	/* C99 libm */
-#define	_TBL_expl_hi	__libm_TBL_expl_hi	/* C99 libm */
-#define	_TBL_expl_lo	__libm_TBL_expl_lo	/* C99 libm */
-#define	_TBL_expm1l	__libm_TBL_expm1l	/* C99 libm */
-#define	_TBL_expm1lx	__libm_TBL_expm1lx	/* C99 libm */
-#define	_TBL_ipio2l_inf	__libm_TBL_ipio2l_inf	/* C99 libm */
-#define	_TBL_logl_hi	__libm_TBL_logl_hi	/* C99 libm */
-#define	_TBL_logl_lo	__libm_TBL_logl_lo	/* C99 libm */
-#define	_TBL_r_atan_hi	__libm_TBL_r_atan_hi	/* C99 libm */
-#define	_TBL_r_atan_lo	__libm_TBL_r_atan_lo	/* C99 libm */
-#define	_TBL_sinl_hi	__libm_TBL_sinl_hi	/* C99 libm */
-#define	_TBL_sinl_lo	__libm_TBL_sinl_lo	/* C99 libm */
-#define	_TBL_tanl_hi	__libm_TBL_tanl_hi	/* C99 libm */
-#define	_TBL_tanl_lo	__libm_TBL_tanl_lo	/* C99 libm */
-#endif	/* defined(LIBM_BUILD) */
-#endif	/* defined(LIBMOPT_BUILD) */
 
 #ifndef _ASM
 #ifdef __STDC__
--- old/usr/src/lib/libm/common/C/libm_synonyms.h	2014-10-27 12:36:40.864743513 -0400
+++ new/usr/src/lib/libm/common/C/libm_synonyms.h	2014-10-27 12:36:40.876298183 -0400
@@ -30,7 +30,7 @@
 #ifndef _LIBM_SYNONYMS_H
 #define	_LIBM_SYNONYMS_H
 
-#if defined(ELFOBJ) && !defined(lint)
+#if !defined(lint)
 
 #define	cabs			__cabs			/* C99 <complex.h> */
 #define	cabsf			__cabsf			/* C99 <complex.h> */
@@ -744,6 +744,6 @@
 #define	thr_setspecific		_thr_setspecific
 #endif
 
-#endif /* defined(ELFOBJ) && !defined(lint) */
+#endif /* !defined(lint) */
 
 #endif	/* _LIBM_SYNONYMS_H */
--- old/usr/src/lib/libm/common/C/logb.c	2014-10-27 12:36:41.310589565 -0400
+++ new/usr/src/lib/libm/common/C/logb.c	2014-10-27 12:36:41.322032011 -0400
@@ -27,16 +27,14 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak logb = __logb
 #pragma weak _logb = __logb
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 #define	_C99SUSv3_logb	_C99SUSv3_logb_subnormal_is_like_ilogb
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -59,7 +57,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 double
 logb(double x) {
@@ -69,7 +67,7 @@
 		if ((px[LOWORD] | k) == 0)
 			return (_SVID_libm_err(x, x, 45));
 		else if ((__xpg6 & _C99SUSv3_logb) != 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two52;
 			return ((double) (((px[HIWORD] & 0x7ff00000) >> 20)
 				- 1075));
--- old/usr/src/lib/libm/common/C/pow.c	2014-10-27 12:36:41.698019154 -0400
+++ new/usr/src/lib/libm/common/C/pow.c	2014-10-27 12:36:41.709411135 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak pow = __pow
-#endif
 
 /*
  * pow(x,y) return x**y
--- old/usr/src/lib/libm/common/C/scalbn.c	2014-10-27 12:36:42.109646476 -0400
+++ new/usr/src/lib/libm/common/C/scalbn.c	2014-10-27 12:36:42.120924989 -0400
@@ -36,7 +36,7 @@
 	tiny	= 1.0e-300,
 	twom54	= 5.5511151231257827021181583404541015625e-17;
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -70,7 +70,7 @@
 	px[LOWORD] = w;
 	return (1 - s);
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 double
 scalbn(double x, int n) {
@@ -87,7 +87,7 @@
 	if (k == 0) {
 		if ((hx | px[LOWORD]) == 0 || n == 0)
 			return (x);
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two52;
 		ix = px[HIWORD];
 		k = ((ix & ~0x80000000) >> 20) - 52;
--- old/usr/src/lib/libm/common/C/significand.c	2014-10-27 12:36:42.511150380 -0400
+++ new/usr/src/lib/libm/common/C/significand.c	2014-10-27 12:36:42.524020535 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak significand = __significand
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/sqrt.c	2014-10-27 12:36:42.897019636 -0400
+++ new/usr/src/lib/libm/common/C/sqrt.c	2014-10-27 12:36:42.908376553 -0400
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 
-#ifdef __INLINE
 
 extern double __inline_sqrt(double);
 
@@ -43,108 +42,3 @@
 	return ((x < 0.0)? _SVID_libm_err(x, x, 26) : z);
 }
 
-#else	/* defined(__INLINE) */
-
-/*
- * Warning: This correctly rounded sqrt is extremely slow because it computes
- * the sqrt bit by bit using integer arithmetic.
- */
-
-static const double big = 1.0e30, small = 1.0e-30;
-
-double
-sqrt(double x)
-{
-	double		z;
-	unsigned	r, t1, s1, ix1, q1;
-	int		ix0, s0, j, q, m, n, t;
-	int		 *px = (int *)&x, *pz = (int *)&z;
-
-	ix0 = px[HIWORD];
-	ix1 = px[LOWORD];
-	if ((ix0 & 0x7ff00000) == 0x7ff00000) { /* x is inf or NaN */
-		if (ix0 == 0xfff00000 && ix1 == 0)
-			return (_SVID_libm_err(x, x, 26));
-		return (x + x);
-	}
-	if (((ix0 & 0x7fffffff) | ix1) == 0)	/* x is zero */
-		return (x);
-
-	/* extract exponent and significand */
-	m = ilogb(x);
-	z = scalbn(x, -m);
-	ix0 = (pz[HIWORD] & 0x000fffff) | 0x00100000;
-	ix1 = pz[LOWORD];
-	n = m >> 1;
-	if (n + n != m) {
-		ix0 = (ix0 << 1) | (ix1 >> 31);
-		ix1 <<= 1;
-		m -= 1;
-	}
-
-	/* generate sqrt(x) bit by bit */
-	ix0 = (ix0 << 1) | (ix1 >> 31);
-	ix1 <<= 1;
-	q = q1 = s0 = s1 = 0;
-	r = 0x00200000;
-
-	for (j = 1; j <= 22; j++) {
-		t = s0 + r;
-		if (t <= ix0) {
-			s0 = t + r;
-			ix0 -= t;
-			q += r;
-		}
-		ix0 = (ix0 << 1) | (ix1 >> 31);
-		ix1 <<= 1;
-		r >>= 1;
-	}
-
-	r = 0x80000000;
-	for (j = 1; j <= 32; j++) {
-		t1 = s1 + r;
-		t = s0;
-		if (t < ix0 || (t == ix0 && t1 <= ix1)) {
-			s1 = t1 + r;
-			if ((t1 & 0x80000000) == 0x80000000 &&
-			    (s1 & 0x80000000) == 0)
-				s0 += 1;
-			ix0 -= t;
-			if (ix1 < t1)
-				ix0 -= 1;
-			ix1 -= t1;
-			q1 += r;
-		}
-		ix0 = (ix0 << 1) | (ix1 >> 31);
-		ix1 <<= 1;
-		r >>= 1;
-	}
-
-	/* round */
-	if ((ix0 | ix1) == 0)
-		goto done;
-	z = big - small;	/* trigger inexact flag */
-	if (z < big)
-		goto done;
-	if (q1 == 0xffffffff) {
-		q1 = 0;
-		q += 1;
-		goto done;
-	}
-	z = big + small;
-	if (z > big) {
-		if (q1 == 0xfffffffe)
-			q += 1;
-		q1 += 2;
-		goto done;
-	}
-	q1 += (q1 & 1);
-done:
-	pz[HIWORD] = (q >> 1) + 0x3fe00000;
-	pz[LOWORD] = q1 >> 1;
-	if ((q & 1) == 1)
-		pz[LOWORD] |= 0x80000000;
-	return (scalbn(z, n));
-}
-
-#endif	/* defined(__INLINE) */
--- old/usr/src/lib/libm/common/LD/acoshl.c	2014-10-27 12:36:43.319826955 -0400
+++ new/usr/src/lib/libm/common/LD/acoshl.c	2014-10-27 12:36:43.331195140 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak acoshl = __acoshl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/asinhl.c	2014-10-27 12:36:43.707183648 -0400
+++ new/usr/src/lib/libm/common/LD/asinhl.c	2014-10-27 12:36:43.718487693 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak asinhl = __asinhl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/cbrtl.c	2014-10-27 12:36:44.098989318 -0400
+++ new/usr/src/lib/libm/common/LD/cbrtl.c	2014-10-27 12:36:44.110595926 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak cbrtl = __cbrtl
-#endif
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/coshl.c	2014-10-27 12:36:44.487740484 -0400
+++ new/usr/src/lib/libm/common/LD/coshl.c	2014-10-27 12:36:44.499108151 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak coshl = __coshl
-#endif
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/finitel.c	2014-10-27 12:36:44.880267640 -0400
+++ new/usr/src/lib/libm/common/LD/finitel.c	2014-10-27 12:36:44.891673964 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak finitel = __finitel
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/hypotl.c	2014-10-27 12:36:45.275712432 -0400
+++ new/usr/src/lib/libm/common/LD/hypotl.c	2014-10-27 12:36:45.287330965 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak hypotl = __hypotl
-#endif
 
 /*
  * hypotl(x,y)
--- old/usr/src/lib/libm/common/LD/isnanl.c	2014-10-27 12:36:45.937336337 -0400
+++ new/usr/src/lib/libm/common/LD/isnanl.c	2014-10-27 12:36:45.949420953 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak isnanl = __isnanl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/jnl.c	2014-10-27 12:36:46.437089168 -0400
+++ new/usr/src/lib/libm/common/LD/jnl.c	2014-10-27 12:36:46.448597059 -0400
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak jnl = __jnl
 #pragma weak ynl = __ynl
-#endif
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/LD/log1pl.c	2014-10-27 12:36:46.845812087 -0400
+++ new/usr/src/lib/libm/common/LD/log1pl.c	2014-10-27 12:36:46.857097102 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak log1pl = __log1pl
-#endif
 
 /*
  * log1pl(x)
--- old/usr/src/lib/libm/common/LD/logbl.c	2014-10-27 12:36:47.235863832 -0400
+++ new/usr/src/lib/libm/common/LD/logbl.c	2014-10-27 12:36:47.247284666 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak logbl = __logbl
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/LD/nextafterl.c	2014-10-27 12:36:47.626394875 -0400
+++ new/usr/src/lib/libm/common/LD/nextafterl.c	2014-10-27 12:36:47.637751532 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nextafterl = __nextafterl
-#endif
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/LD/significandl.c	2014-10-27 12:36:48.019955745 -0400
+++ new/usr/src/lib/libm/common/LD/significandl.c	2014-10-27 12:36:48.032704483 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak significandl = __significandl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/tanhl.c	2014-10-27 12:36:48.417671512 -0400
+++ new/usr/src/lib/libm/common/LD/tanhl.c	2014-10-27 12:36:48.429087448 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak tanhl = __tanhl
-#endif
 
 /*
  * tanhl(x) returns the hyperbolic tangent of x
--- old/usr/src/lib/libm/common/Q/acoshl.c	2014-10-27 12:36:48.811658484 -0400
+++ new/usr/src/lib/libm/common/Q/acoshl.c	2014-10-27 12:36:48.822999208 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak acoshl = __acoshl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/asinhl.c	2014-10-27 12:36:49.215049780 -0400
+++ new/usr/src/lib/libm/common/Q/asinhl.c	2014-10-27 12:36:49.226719345 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak asinhl = __asinhl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/asinl.c	2014-10-27 12:36:49.604158276 -0400
+++ new/usr/src/lib/libm/common/Q/asinl.c	2014-10-27 12:36:49.615622976 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak asinl = __asinl
-#endif
 
 /*
  *	asinl(x) = atan2l(x,sqrt(1-x*x));
--- old/usr/src/lib/libm/common/Q/copysignl.c	2014-10-27 12:36:49.994306550 -0400
+++ new/usr/src/lib/libm/common/Q/copysignl.c	2014-10-27 12:36:50.008083880 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak copysignl = __copysignl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/expm1l.c	2014-10-27 12:36:50.747111304 -0400
+++ new/usr/src/lib/libm/common/Q/expm1l.c	2014-10-27 12:36:50.786215198 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak expm1l = __expm1l
-#endif
 #if !defined(__sparc)
 #error Unsupported architecture
 #endif
--- old/usr/src/lib/libm/common/Q/finitel.c	2014-10-27 12:36:51.175384526 -0400
+++ new/usr/src/lib/libm/common/Q/finitel.c	2014-10-27 12:36:51.186735275 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak finitel = __finitel
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/ieee_funcl.c	2014-10-27 12:36:51.574603572 -0400
+++ new/usr/src/lib/libm/common/Q/ieee_funcl.c	2014-10-27 12:36:51.585957039 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak isinfl = __isinfl
 #pragma weak isnormall = __isnormall
 #pragma weak issubnormall = __issubnormall
 #pragma weak iszerol = __iszerol
 #pragma weak signbitl = __signbitl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/ilogbl.c	2014-10-27 12:36:51.966629723 -0400
+++ new/usr/src/lib/libm/common/Q/ilogbl.c	2014-10-27 12:36:51.977980625 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak ilogbl = __ilogbl
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/isnanl.c	2014-10-27 12:36:52.379376294 -0400
+++ new/usr/src/lib/libm/common/Q/isnanl.c	2014-10-27 12:36:52.390733343 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak isnanl = __isnanl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/jnl.c	2014-10-27 12:36:52.768688910 -0400
+++ new/usr/src/lib/libm/common/Q/jnl.c	2014-10-27 12:36:52.781417554 -0400
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak jnl = __jnl
 #pragma weak ynl = __ynl
-#endif
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/Q/log10l.c	2014-10-27 12:36:53.178230058 -0400
+++ new/usr/src/lib/libm/common/Q/log10l.c	2014-10-27 12:36:53.189630182 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak log10l = __log10l
-#endif
 
 /*
  * log10l(X)
--- old/usr/src/lib/libm/common/Q/logbl.c	2014-10-27 12:36:53.569610568 -0400
+++ new/usr/src/lib/libm/common/Q/logbl.c	2014-10-27 12:36:53.581204072 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak logbl = __logbl
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/nextafterl.c	2014-10-27 12:36:53.960607116 -0400
+++ new/usr/src/lib/libm/common/Q/nextafterl.c	2014-10-27 12:36:53.972228364 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nextafterl = __nextafterl
-#endif
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/Q/powl.c	2014-10-27 12:36:54.365537083 -0400
+++ new/usr/src/lib/libm/common/Q/powl.c	2014-10-27 12:36:54.377016535 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak powl = __powl
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/scalbnl.c	2014-10-27 12:36:54.776892390 -0400
+++ new/usr/src/lib/libm/common/Q/scalbnl.c	2014-10-27 12:36:54.788442377 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalbnl = __scalbnl
-#endif
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/Q/significandl.c	2014-10-27 12:36:55.181728252 -0400
+++ new/usr/src/lib/libm/common/Q/significandl.c	2014-10-27 12:36:55.193236870 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak significandl = __significandl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/tanhl.c	2014-10-27 12:36:55.828847055 -0400
+++ new/usr/src/lib/libm/common/Q/tanhl.c	2014-10-27 12:36:55.905492003 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak tanhl = __tanhl
-#endif
 
 /*
  * tanhl(x) returns the hyperbolic tangent of x
--- old/usr/src/lib/libm/common/R/copysignf.c	2014-10-27 12:36:56.525071306 -0400
+++ new/usr/src/lib/libm/common/R/copysignf.c	2014-10-27 12:36:56.536456967 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak copysignf = __copysignf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/ilogbf.c	2014-10-27 12:36:56.910129071 -0400
+++ new/usr/src/lib/libm/common/R/ilogbf.c	2014-10-27 12:36:56.921639397 -0400
@@ -27,14 +27,12 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak ilogbf = __ilogbf
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two25 = 33554432.0F;
 #else
 /*
@@ -53,7 +51,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static int
 raise_invalid(int v) {	/* SUSv3 requires ilogbf(0,+/-Inf,NaN) raise invalid */
@@ -76,7 +74,7 @@
 		if (k == 0)
 			return (raise_invalid(0x80000001));
 		else {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two25;
 			return (((*((int *) &x) & 0x7f800000) >> 23) - 152);
 #else
--- old/usr/src/lib/libm/common/R/isnanf.c	2014-10-27 12:36:57.305429452 -0400
+++ new/usr/src/lib/libm/common/R/isnanf.c	2014-10-27 12:36:57.316694264 -0400
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak isnanf = __isnanf
 #pragma weak _isnanf = __isnanf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/logbf.c	2014-10-27 12:36:57.751806028 -0400
+++ new/usr/src/lib/libm/common/R/logbf.c	2014-10-27 12:36:57.763117243 -0400
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak logbf = __logbf
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 #define	_C99SUSv3_logb	_C99SUSv3_logb_subnormal_is_like_ilogb
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two25 = 33554432.0F;
 #else
 /*
@@ -54,7 +52,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static float
 raise_division(float t) {
@@ -71,7 +69,7 @@
 		if (k == 0)
 			return (raise_division(-1.0F));
 		else if ((__xpg6 & _C99SUSv3_logb) != 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two25;
 			return ((float) (((*((int *) &x) & 0x7f800000) >> 23) -
 				152));
--- old/usr/src/lib/libm/common/R/nextafterf.c	2014-10-27 12:36:58.158877798 -0400
+++ new/usr/src/lib/libm/common/R/nextafterf.c	2014-10-27 12:36:58.170218444 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nextafterf = __nextafterf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/remainderf.c	2014-10-27 12:36:58.550533830 -0400
+++ new/usr/src/lib/libm/common/R/remainderf.c	2014-10-27 12:36:58.561954855 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak remainderf = __remainderf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/rintf.c	2014-10-27 12:36:58.936054564 -0400
+++ new/usr/src/lib/libm/common/R/rintf.c	2014-10-27 12:36:58.948221053 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak aintf = __aintf
 #pragma weak anintf = __anintf
 #pragma weak irintf = __irintf
 #pragma weak nintf = __nintf
 #pragma weak rintf = __rintf
-#endif
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/scalbnf.c	2014-10-27 12:36:59.337387237 -0400
+++ new/usr/src/lib/libm/common/R/scalbnf.c	2014-10-27 12:36:59.348851595 -0400
@@ -27,16 +27,14 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalbnf = __scalbnf
-#endif
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
 #include <stdlib.h>		/* abs */
 
 static const float twom25f = 2.98023223876953125e-8F;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two23f = 8388608.0F;
 #else
 /*
@@ -55,7 +53,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 float
 scalbnf(float x, int n) {
@@ -72,7 +70,7 @@
 	if (ix == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two23f;
 		k = ((*px & ~0x80000000) >> 23) - 23;
 #else
--- old/usr/src/lib/libm/common/R/significandf.c	2014-10-27 12:36:59.729709625 -0400
+++ new/usr/src/lib/libm/common/R/significandf.c	2014-10-27 12:36:59.741380925 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak significandf = __significandf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/sqrtf.c	2014-10-27 12:37:00.121041006 -0400
+++ new/usr/src/lib/libm/common/R/sqrtf.c	2014-10-27 12:37:00.132307281 -0400
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 
-#ifdef __INLINE
 
 extern float __inline_sqrtf(float);
 
@@ -39,71 +38,3 @@
 	return (__inline_sqrtf(x));
 }
 
-#else	/* defined(__INLINE) */
-
-static const float huge = 1.0e35F, tiny = 1.0e-35F, zero = 0.0f;
-
-float
-sqrtf(float x) {
-	float	dz, w;
-	int 	*pw = (int *)&w;
-	int	ix, j, r, q, m, n, s, t;
-
-	w = x;
-	ix = pw[0];
-	if (ix <= 0) {
-		/* x is <= 0 or nan */
-		j = ix & 0x7fffffff;
-		if (j == 0)
-			return (w);
-		return ((w * zero) / zero);
-	}
-
-	if ((ix & 0x7f800000) == 0x7f800000) {
-		/* x is +inf or nan */
-		return (w * w);
-	}
-
-	m = ir_ilogb_(&w);
-	n = -m;
-	w = r_scalbn_(&w, (int *)&n);
-	ix = (pw[0] & 0x007fffff) | 0x00800000;
-	n = m / 2;
-	if ((n + n) != m) {
-		ix = ix + ix;
-		m -= 1;
-		n = m / 2;
-	}
-
-	/* generate sqrt(x) bit by bit */
-	ix <<= 1;
-	q = s = 0;
-	r = 0x01000000;
-	for (j = 1; j <= 25; j++) {
-		t = s + r;
-		if (t <= ix) {
-			s = t + r;
-			ix -= t;
-			q += r;
-		}
-		ix <<= 1;
-		r >>= 1;
-	}
-	if (ix == 0)
-		goto done;
-
-	/* raise inexact and determine the ambient rounding mode */
-	dz = huge - tiny;
-	if (dz < huge)
-		goto done;
-	dz = huge + tiny;
-	if (dz > huge)
-		q += 1;
-	q += (q & 1);
-
-done:
-	pw[0] = (q >> 1) + 0x3f000000;
-	return (r_scalbn_(&w, (int *)&n));
-}
-
-#endif	/* defined(__INLINE) */
--- old/usr/src/lib/libm/common/m9x/__fex_hdlr.c	2014-10-27 12:37:00.844345952 -0400
+++ new/usr/src/lib/libm/common/m9x/__fex_hdlr.c	2014-10-27 12:37:00.856788250 -0400
@@ -57,10 +57,8 @@
 void (*__mt_fex_sync)() = NULL; /* for synchronization with libmtsk */
 #pragma weak __mt_fex_sync
 
-#ifdef LIBM_MT_FEX_SYNC
 void (*__libm_mt_fex_sync)() = NULL; /* new, improved version of above */
 #pragma weak __libm_mt_fex_sync
-#endif
 
 /* private variables */
 static fex_handler_t main_handlers;
@@ -145,7 +143,6 @@
 		__fex_update_te();
 }
 
-#ifdef LIBM_MT_FEX_SYNC
 /*
 *  The following function may be used for synchronization with any
 *  internal project that manages multiple threads
@@ -204,7 +201,6 @@
 		break;
 	}
 }
-#endif
 
 #if defined(__sparc)
 
@@ -842,8 +838,6 @@
 	/* synchronize with libmtsk */
 	__mt_fex_sync = __fex_sync_with_libmtsk;
 
-#ifdef LIBM_MT_FEX_SYNC
 	/* synchronize with other projects */
 	__libm_mt_fex_sync = __fex_sync_with_threads;
-#endif
 }
--- old/usr/src/lib/libm/common/m9x/fdim.c	2014-10-27 12:37:01.391852503 -0400
+++ new/usr/src/lib/libm/common/m9x/fdim.c	2014-10-27 12:37:01.403296838 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fdim = __fdim
-#endif
 
 /*
  * fdim(x,y) returns x - y if x > y, +0 if x <= y, and NaN if x and
--- old/usr/src/lib/libm/common/m9x/fdimf.c	2014-10-27 12:37:01.780893164 -0400
+++ new/usr/src/lib/libm/common/m9x/fdimf.c	2014-10-27 12:37:01.792738932 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fdimf = __fdimf
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fdiml.c	2014-10-27 12:37:02.171238982 -0400
+++ new/usr/src/lib/libm/common/m9x/fdiml.c	2014-10-27 12:37:02.182806002 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fdiml = __fdiml
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fma.c	2014-10-27 12:37:02.559400872 -0400
+++ new/usr/src/lib/libm/common/m9x/fma.c	2014-10-27 12:37:02.571296712 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fma = __fma
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/fmaf.c	2014-10-27 12:37:02.980206073 -0400
+++ new/usr/src/lib/libm/common/m9x/fmaf.c	2014-10-27 12:37:02.991902508 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmaf = __fmaf
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/fmal.c	2014-10-27 12:37:03.396183145 -0400
+++ new/usr/src/lib/libm/common/m9x/fmal.c	2014-10-27 12:37:03.407776280 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmal = __fmal
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/fmax.c	2014-10-27 12:37:03.881242476 -0400
+++ new/usr/src/lib/libm/common/m9x/fmax.c	2014-10-27 12:37:03.893022024 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmax = __fmax
-#endif
 
 /*
  * fmax(x,y) returns the larger of x and y.  If just one of the
--- old/usr/src/lib/libm/common/m9x/fmaxf.c	2014-10-27 12:37:04.288285995 -0400
+++ new/usr/src/lib/libm/common/m9x/fmaxf.c	2014-10-27 12:37:04.299870445 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmaxf = __fmaxf
-#endif
 
 /*
  * fmax(x,y) returns the larger of x and y.  If just one of the
--- old/usr/src/lib/libm/common/m9x/fmaxl.c	2014-10-27 12:37:04.721470200 -0400
+++ new/usr/src/lib/libm/common/m9x/fmaxl.c	2014-10-27 12:37:04.732761281 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmaxl = __fmaxl
-#endif
 
 #include "libm.h"	/* for isgreaterequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fmin.c	2014-10-27 12:37:05.128790847 -0400
+++ new/usr/src/lib/libm/common/m9x/fmin.c	2014-10-27 12:37:05.140273218 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmin = __fmin
-#endif
 
 /*
  * fmin(x,y) returns the smaller of x and y.  If just one of the
--- old/usr/src/lib/libm/common/m9x/fminf.c	2014-10-27 12:37:05.971473757 -0400
+++ new/usr/src/lib/libm/common/m9x/fminf.c	2014-10-27 12:37:05.982775529 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fminf = __fminf
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fminl.c	2014-10-27 12:37:06.569010850 -0400
+++ new/usr/src/lib/libm/common/m9x/fminl.c	2014-10-27 12:37:06.580418983 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fminl = __fminl
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/frexp.c	2014-10-27 12:37:06.982334337 -0400
+++ new/usr/src/lib/libm/common/m9x/frexp.c	2014-10-27 12:37:06.993957423 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak frexp = __frexp
-#endif
 
 /*
  * frexp(x, exp) returns the normalized significand of x and sets
--- old/usr/src/lib/libm/common/m9x/frexpf.c	2014-10-27 12:37:07.391151754 -0400
+++ new/usr/src/lib/libm/common/m9x/frexpf.c	2014-10-27 12:37:07.402629455 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak frexpf = __frexpf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/frexpl.c	2014-10-27 12:37:07.786845296 -0400
+++ new/usr/src/lib/libm/common/m9x/frexpl.c	2014-10-27 12:37:07.799065733 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak frexpl = __frexpl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/ldexp.c	2014-10-27 12:37:08.195132260 -0400
+++ new/usr/src/lib/libm/common/m9x/ldexp.c	2014-10-27 12:37:08.206551010 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak ldexp = __ldexp
-#endif
 
 #include "libm.h"
 #include <errno.h>
--- old/usr/src/lib/libm/common/m9x/ldexpf.c	2014-10-27 12:37:08.584831754 -0400
+++ new/usr/src/lib/libm/common/m9x/ldexpf.c	2014-10-27 12:37:08.596461764 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak ldexpf = __ldexpf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/ldexpl.c	2014-10-27 12:37:08.972330531 -0400
+++ new/usr/src/lib/libm/common/m9x/ldexpl.c	2014-10-27 12:37:08.983853052 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak ldexpl = __ldexpl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/llrint.c	2014-10-27 12:37:09.373055992 -0400
+++ new/usr/src/lib/libm/common/m9x/llrint.c	2014-10-27 12:37:09.384409531 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak llrint = __llrint
 #if defined(__sparcv9) || defined(__amd64)
 #pragma weak lrint = __llrint
 #pragma weak __lrint = __llrint
 #endif
-#endif
 
 /*
  * llrint(x) rounds its argument to the nearest integer according
--- old/usr/src/lib/libm/common/m9x/llrintf.c	2014-10-27 12:37:09.762928402 -0400
+++ new/usr/src/lib/libm/common/m9x/llrintf.c	2014-10-27 12:37:09.775537851 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak llrintf = __llrintf
 #if defined(__sparcv9) || defined(__amd64)
 #pragma weak lrintf = __llrintf
 #pragma weak __lrintf = __llrintf
 #endif
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/llrintl.c	2014-10-27 12:37:10.169307193 -0400
+++ new/usr/src/lib/libm/common/m9x/llrintl.c	2014-10-27 12:37:10.180585652 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak llrintl = __llrintl
 #if defined(__sparcv9) || defined(__amd64)
 #pragma weak lrintl = __llrintl
 #pragma weak __lrintl = __llrintl
 #endif
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/llround.c	2014-10-27 12:37:10.796671334 -0400
+++ new/usr/src/lib/libm/common/m9x/llround.c	2014-10-27 12:37:10.819062456 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak llround = __llround
 #if defined(__sparcv9) || defined(__amd64)
 #pragma weak lround = __llround
 #pragma weak __lround = __llround
 #endif
-#endif
 
 /*
  * llround(x) rounds its argument to the nearest integer, rounding
--- old/usr/src/lib/libm/common/m9x/llroundf.c	2014-10-27 12:37:11.203253272 -0400
+++ new/usr/src/lib/libm/common/m9x/llroundf.c	2014-10-27 12:37:11.214831887 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak llroundf = __llroundf
 #if defined(__sparcv9) || defined(__amd64)
 #pragma weak lroundf = __llroundf
 #pragma weak __lroundf = __llroundf
 #endif
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/llroundl.c	2014-10-27 12:37:11.594727294 -0400
+++ new/usr/src/lib/libm/common/m9x/llroundl.c	2014-10-27 12:37:11.606355290 -0400
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak llroundl = __llroundl
 #if defined(__sparcv9) || defined(__amd64)
 #pragma weak lroundl = __llroundl
 #pragma weak __lroundl = __llroundl
 #endif
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/lrint.c	2014-10-27 12:37:11.992935625 -0400
+++ new/usr/src/lib/libm/common/m9x/lrint.c	2014-10-27 12:37:12.004705697 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak lrint = __lrint
-#endif
 
 /*
  * lrint(x) rounds its argument to the nearest integer according
--- old/usr/src/lib/libm/common/m9x/lrintf.c	2014-10-27 12:37:12.410124209 -0400
+++ new/usr/src/lib/libm/common/m9x/lrintf.c	2014-10-27 12:37:12.421495955 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak lrintf = __lrintf
-#endif
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lrintl.c	2014-10-27 12:37:12.807294353 -0400
+++ new/usr/src/lib/libm/common/m9x/lrintl.c	2014-10-27 12:37:12.818757515 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak lrintl = __lrintl
-#endif
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lround.c	2014-10-27 12:37:13.208146051 -0400
+++ new/usr/src/lib/libm/common/m9x/lround.c	2014-10-27 12:37:13.219729874 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak lround = __lround
-#endif
 
 /*
  * lround(x) rounds its argument to the nearest integer, rounding ties
--- old/usr/src/lib/libm/common/m9x/lroundf.c	2014-10-27 12:37:13.600673978 -0400
+++ new/usr/src/lib/libm/common/m9x/lroundf.c	2014-10-27 12:37:13.612391472 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak lroundf = __lroundf
-#endif
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lroundl.c	2014-10-27 12:37:14.019582006 -0400
+++ new/usr/src/lib/libm/common/m9x/lroundl.c	2014-10-27 12:37:14.031129340 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak lroundl = __lroundl
-#endif
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/modf.c	2014-10-27 12:37:14.417129637 -0400
+++ new/usr/src/lib/libm/common/m9x/modf.c	2014-10-27 12:37:14.428879751 -0400
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak modf = __modf
 #pragma weak _modf = __modf
-#endif
 
 /*
  * modf(x, iptr) decomposes x into an integral part and a fractional
--- old/usr/src/lib/libm/common/m9x/modff.c	2014-10-27 12:37:14.812504864 -0400
+++ new/usr/src/lib/libm/common/m9x/modff.c	2014-10-27 12:37:14.823950651 -0400
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak modff = __modff
 #pragma weak _modff = __modff
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/modfl.c	2014-10-27 12:37:15.206699003 -0400
+++ new/usr/src/lib/libm/common/m9x/modfl.c	2014-10-27 12:37:15.218304532 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak modfl = __modfl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nan.c	2014-10-27 12:37:15.958333161 -0400
+++ new/usr/src/lib/libm/common/m9x/nan.c	2014-10-27 12:37:15.969967916 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nan = __nan
-#endif
 
 /*
  *  nan(c) returns a NaN.  This implementation ignores c.
--- old/usr/src/lib/libm/common/m9x/nanf.c	2014-10-27 12:37:16.760385954 -0400
+++ new/usr/src/lib/libm/common/m9x/nanf.c	2014-10-27 12:37:16.773076659 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nanf = __nanf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nanl.c	2014-10-27 12:37:17.165543102 -0400
+++ new/usr/src/lib/libm/common/m9x/nanl.c	2014-10-27 12:37:17.176913500 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nanl = __nanl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nearbyint.c	2014-10-27 12:37:17.554228835 -0400
+++ new/usr/src/lib/libm/common/m9x/nearbyint.c	2014-10-27 12:37:17.565405965 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nearbyint = __nearbyint
-#endif
 
 /*
  * nearbyint(x) returns the nearest fp integer to x in the direction
--- old/usr/src/lib/libm/common/m9x/nearbyintf.c	2014-10-27 12:37:17.948273169 -0400
+++ new/usr/src/lib/libm/common/m9x/nearbyintf.c	2014-10-27 12:37:17.959736464 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nearbyintf = __nearbyintf
-#endif
 
 #include "libm.h"
 #include "fenv_synonyms.h"
--- old/usr/src/lib/libm/common/m9x/nearbyintl.c	2014-10-27 12:37:18.363318009 -0400
+++ new/usr/src/lib/libm/common/m9x/nearbyintl.c	2014-10-27 12:37:18.378286849 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nearbyintl = __nearbyintl
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/nexttoward.c	2014-10-27 12:37:18.772223104 -0400
+++ new/usr/src/lib/libm/common/m9x/nexttoward.c	2014-10-27 12:37:18.783597237 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nexttoward = __nexttoward
-#endif
 
 /*
  * nexttoward(x, y) delivers the next representable number after x
--- old/usr/src/lib/libm/common/m9x/nexttowardf.c	2014-10-27 12:37:19.174984883 -0400
+++ new/usr/src/lib/libm/common/m9x/nexttowardf.c	2014-10-27 12:37:19.186388153 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nexttowardf = __nexttowardf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nexttowardl.c	2014-10-27 12:37:19.572026713 -0400
+++ new/usr/src/lib/libm/common/m9x/nexttowardl.c	2014-10-27 12:37:19.583344136 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nexttowardl = __nexttowardl
-#endif
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/m9x/round.c	2014-10-27 12:37:19.965166069 -0400
+++ new/usr/src/lib/libm/common/m9x/round.c	2014-10-27 12:37:19.976485353 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak round = __round
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/roundf.c	2014-10-27 12:37:20.378470615 -0400
+++ new/usr/src/lib/libm/common/m9x/roundf.c	2014-10-27 12:37:20.395009036 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak roundf = __roundf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/roundl.c	2014-10-27 12:37:20.967608007 -0400
+++ new/usr/src/lib/libm/common/m9x/roundl.c	2014-10-27 12:37:20.979001762 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak roundl = __roundl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/scalbln.c	2014-10-27 12:37:21.566734691 -0400
+++ new/usr/src/lib/libm/common/m9x/scalbln.c	2014-10-27 12:37:21.578398529 -0400
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalbln = __scalbln
-#endif
 
 #include "libm.h"
 #include <float.h>		/* DBL_MAX, DBL_MIN */
 
 static const double twom54 = 5.5511151231257827021181583404541015625e-17;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -69,7 +67,7 @@
 	px[LOWORD] = w;
 	return (1 - s);
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 double
 scalbln(double x, long n) {
@@ -87,7 +85,7 @@
 	if ((px[LOWORD] | ix) == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two52;
 		k = ((px[HIWORD] & ~0x80000000) >> 20) - 52;
 #else
--- old/usr/src/lib/libm/common/m9x/scalblnf.c	2014-10-27 12:37:22.063396365 -0400
+++ new/usr/src/lib/libm/common/m9x/scalblnf.c	2014-10-27 12:37:22.074703441 -0400
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalblnf = __scalblnf
-#endif
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
 
 static const float twom25f = 2.98023223876953125e-8F;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two23f = 8388608.0F;
 #else
 /*
@@ -54,7 +52,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 float
 scalblnf(float x, long n) {
@@ -71,7 +69,7 @@
 	if (ix == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two23f;
 		k = ((*px & ~0x80000000) >> 23) - 23;
 #else
--- old/usr/src/lib/libm/common/m9x/scalblnl.c	2014-10-27 12:37:22.486522998 -0400
+++ new/usr/src/lib/libm/common/m9x/scalblnl.c	2014-10-27 12:37:22.497858395 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalblnl = __scalblnl
-#endif
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/m9x/tgamma.c	2014-10-27 12:37:22.881211833 -0400
+++ new/usr/src/lib/libm/common/m9x/tgamma.c	2014-10-27 12:37:22.893585369 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak tgamma = __tgamma
-#endif
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/m9x/tgammal.c	2014-10-27 12:37:23.420181026 -0400
+++ new/usr/src/lib/libm/common/m9x/tgammal.c	2014-10-27 12:37:23.431758899 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak tgammal = __tgammal
-#endif
 
 #include "libm.h"
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/m9x/trunc.c	2014-10-27 12:37:23.962416532 -0400
+++ new/usr/src/lib/libm/common/m9x/trunc.c	2014-10-27 12:37:23.973984034 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak trunc = __trunc
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/truncf.c	2014-10-27 12:37:24.369423077 -0400
+++ new/usr/src/lib/libm/common/m9x/truncf.c	2014-10-27 12:37:24.384455825 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak truncf = __truncf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/truncl.c	2014-10-27 12:37:24.770157013 -0400
+++ new/usr/src/lib/libm/common/m9x/truncl.c	2014-10-27 12:37:24.781538020 -0400
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak truncl = __truncl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/sparc/src/nextafter.S	2014-10-27 12:37:25.190045037 -0400
+++ new/usr/src/lib/libm/sparc/src/nextafter.S	2014-10-27 12:37:25.201276634 -0400
@@ -36,14 +36,6 @@
 #include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#if defined(LIBM_BUILD)	&& !defined(ELFOBJ)
-#define	mENTRY(x)	ENTRY(__libm/**/x)
-#define	mNAME(x)	NAME(__libm/**/x)
-#else
-#define	mENTRY(x)	ENTRY(x)
-#define	mNAME(x)	NAME(x)
-#endif
-
 	RO_DATA
 	.align	8
 .Lconstant:
@@ -110,7 +102,7 @@
 	cmp	%i2,%l3
 	bne,a	9f			! next_return
 	ldd	[%fp+x],%f0
-	call	mNAME(_SVID_libm_err)	! overflow
+	call	NAME(_SVID_libm_err)	! overflow
 	or	%g0,46,%o4
 	ba	9f
 	nop
